.. AUTO-GENERATED FILE. DO NOT EDIT. store-jefgas-purchase-orders-get-one ==================================== Source ------ - Repository: ``jef-systems/jef-store-backend`` - Source Run ID: ``25333167796`` - Source SHA: ``69cb846339fa14db005aec45414a4a94ec2a821e`` - Module: ``store`` - Documentation Scope: ``get`` - Lambda: ``jef-store-get-25`` Endpoint -------- - API Name: ``jef-store`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/store-jefgas-purchase-orders-get-one`` - Complete Endpoint: ``https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-25`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-store-get-25 API Name: jef-store Action: get Method: GET Resource Path: /store-jefgas-purchase-orders-get-one Table: - table: jef-store-jefgas-purchase-orders - operation: get-one Payload Schema: - pk: purchase_order_number Payload Example: - pk: PURORD-1001-0001 Response Schema: - exists: boolean - message: string - item: {"purchase_order_number":"string","entity_number":"string","supplier":"string","fuel_type":"string","quantity_text":"string","notes":"string","status":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"} Request Payload --------------- .. code-block:: json { "pk": "purchase_order_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"purchase_order_number\":\"string\",\"entity_number\":\"string\",\"supplier\":\"string\",\"fuel_type\":\"string\",\"quantity_text\":\"string\",\"notes\":\"string\",\"status\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}" } CMD curl -------- .. code-block:: text curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-one?pk=PURORD-1001-0001" PowerShell curl --------------- .. code-block:: text curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-one?pk=PURORD-1001-0001"